%define name	dot2tex
%define version 2.8.7
%define release %mkrel 3

Summary:	Graphviz to LaTeX converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.zip
License:	MIT
Group:		Graphics
Url:		http://www.fauskes.net/code/dot2tex/

BuildArch:	noarch
Requires:	python-parsing
Requires:	emacs-auctex
Requires:	graphviz
Suggests:	texlive
%py_requires -d 

%description
The purpose of dot2tex is to give graphs generated by Graphviz a more
LaTeX friendly look and feel. This is accomplished by converting dot
output from Graphviz to a series of PSTricks or PGF/TikZ
commands. This approach allows:

* Typesetting labels with LaTeX, allowing mathematical notation.
* Using native PSTricks and PGF/TikZ commands for drawing arrows (optional).
* Using back-end specific styles to customize the output

Dot2tex can preprocess graphs using the preview package. Information
about label sizes will be extracted and used to get correctly sized
nodes and edge labels.

%prep
%setup -q

%build

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST
%__chmod -R o-w *.txt LICENSE doc/ examples
%__chmod -R g-w *.txt LICENSE doc/ examples

%files -f FILE_LIST
%doc *.txt LICENSE doc/* examples/




%changelog

* Sat Feb 11 2012 malo <malo> 2.8.7-3.mga2
+ Revision: 207357
- spec clean-up after import from Mandriva (spec from Lev Givon)
- imported package dot2tex


* Tue Dec 27 2011 Lev Givon <lev@mandriva.org> 2.8.7-3mdv2012.0
+ Revision: 745767
- Only suggest installing texlive.

* Tue Dec 27 2011 Lev Givon <lev@mandriva.org> 2.8.7-2
+ Revision: 745479
- Update install dependency from tetex-latex to texlive-texmf.

* Wed Jun 01 2011 Lev Givon <lev@mandriva.org> 2.8.7-1
+ Revision: 682247
- import dot2tex


